Skip to content

List the authenticated customer's notifications + unread count

GET
/api/portal/notifications/
curl --request GET \
--url https://example.com/api/portal/notifications/ \
--header 'Authorization: Bearer <token>'

Default Response

Media typeapplication/json
object
data
required
Array<object>
object
id
required
string format: uuid
/^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$/
eventType
required
string
title
required
string
body
required
string
readAt
required
Any of:
string
createdAt
required
string
meta
required
object
unreadCount
required
integer
<= 9007199254740991
Examplegenerated
{
"data": [
{
"id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0",
"eventType": "example",
"title": "example",
"body": "example",
"readAt": "example",
"createdAt": "example"
}
],
"meta": {
"unreadCount": 1
}
}